Page MenuHomePhabricator

momentjs does not know about $wgTranslateNumerals
Closed, ResolvedPublic

Description

If $wgTranslateNumerals = false; is set (like on arwiki), asking momentjs for relative timestamps (like "6 days ago") will still use translated numerals, even though things coming from MediaWiki itself won't.

Details

Related Gerrit Patches:

Event Timeline

Catrope created this task.Jan 19 2016, 3:48 AM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added subscribers: Catrope, Aklapper, StudiesWorld and 2 others.

Change 281198 had a related patch set uploaded (by Catrope):
Override momentjs's digit transform logic with MW's

https://gerrit.wikimedia.org/r/281198

Jdforrester-WMF closed this task as Resolved.May 5 2016, 12:52 PM
Jdforrester-WMF assigned this task to Catrope.

Change 281198 merged by jenkins-bot:
Override momentjs's digit transform logic with MW's

https://gerrit.wikimedia.org/r/281198

Change 394113 had a related patch set uploaded (by Reedy; owner: Catrope):
[mediawiki/core@REL1_27] Override momentjs's digit transform logic with MW's

https://gerrit.wikimedia.org/r/394113

Change 394113 merged by jenkins-bot:
[mediawiki/core@REL1_27] Override momentjs's digit transform logic with MW's

https://gerrit.wikimedia.org/r/394113

Change 407691 had a related patch set uploaded (by Ejegg; owner: Catrope):
[mediawiki/core@fundraising/REL1_27] Override momentjs's digit transform logic with MW's

https://gerrit.wikimedia.org/r/407691

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptFeb 2 2018, 5:58 PM

Change 407691 merged by jenkins-bot:
[mediawiki/core@fundraising/REL1_27] Override momentjs's digit transform logic with MW's

https://gerrit.wikimedia.org/r/407691